Name:		qubes-core-admin-client
Version:    4.1.11
Release:	1%{?dist}
Summary:	Qubes OS admin client tools

Group:		Qubes
License:	LGPLv2.1+
URL:		https://www.qubes-os.org

BuildRequires:	make
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-sphinx
BuildRequires:	python%{python3_pkgversion}-dbus
BuildRequires:	python%{python3_pkgversion}-lxml
BuildRequires:	python%{python3_pkgversion}-xcffib
Requires:   python%{python3_pkgversion}-qubesadmin
Requires:   python%{python3_pkgversion}-yaml
Requires:   qubes-repo-templates
Requires:   scrypt
BuildArch:  noarch
Source0: %{name}-%{version}.tar.gz
Conflicts:  qubes-core-agent < 4.1.9
# qubes-guid -C option
Conflicts:  qubes-gui-daemon < 4.1.7

%description
This package include managemt tools, like qvm-*.

%package -n python%{python3_pkgversion}-qubesadmin
Summary:    Python%{python3_pkgversion} module qubesadmin
Requires:   python%{python3_pkgversion}-daemon
Requires:   python%{python3_pkgversion}-docutils
Requires:   python%{python3_pkgversion}-lxml
Requires:   python%{python3_pkgversion}-xcffib
Conflicts:  qubes-core-dom0 < 4.1.12
Conflicts:  qubes-manager < 4.0.6

%description -n python%{python3_pkgversion}-qubesadmin
Python3 module qubesadmin.

%prep
%setup -q


%build
make -C doc PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} man


%install
rm -rf build
%make_install PYTHON=%{__python3}

make -C doc DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} \
    install


%files
%defattr(-,root,root,-)
%doc LICENSE
%config /etc/xdg/autostart/qvm-start-daemon.desktop
%config /etc/xdg/autostart/qvm-start-daemon-kde.desktop
%{_bindir}/qubes-*
%{_bindir}/qvm-*
%{_mandir}/man1/qvm-*.1*
%{_mandir}/man1/qubes*.1*

%files -n python%{python3_pkgversion}-qubesadmin
%{python3_sitelib}/qubesadmin-*egg-info
%{python3_sitelib}/qubesadmin
/etc/qubes/post-install.d/30-keyboard-layout-service.sh

%changelog
* Tue May 18 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-admin-client.git

* Tue May 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 416532b
- version 4.1.11

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - dea6f44
- spec: add BR make

* Fri Apr 09 2021 3hhh <tripleh@hackingthe.net> - 7c977f9
- qvm-ls & qvm-device: Handle removal of VM during on_shutdown.

* Tue Apr 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1471a56
- doc: update default values on qvm-template man page

* Fri Apr 02 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6c376d6
- qvm-template: fix installing already cached templates

* Thu Apr 01 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9020f2e
- qvm-template: fix downloading template for install

* Tue Mar 02 2021 WillyPillow <wp@nerde.pw> - d1ce8d3
- tests: add tests for other qvm-template functions

* Tue Mar 02 2021 WillyPillow <wp@nerde.pw> - 64e9c24
- tests: improve TestProcess behavior

* Sat Feb 20 2021 WillyPillow <wp@nerde.pw> - 4083b74
- tests: add tests for qvm-template reinstall/up/downgrade when nothing needs to be done

* Sat Feb 20 2021 WillyPillow <wp@nerde.pw> - a9d03d1
- tests: fix mock return values of get_dl_list when testing `qvm-template reinstall`

* Sat Feb 20 2021 WillyPillow <wp@nerde.pw> - fc520f8
- qvm-template: update comments to reflect e424c7d

* Sat Feb 20 2021 WillyPillow <wp@nerde.pw> - dedf5ac
- qvm-template: only ask for confirmation during install if something is being done

* Sat Feb 20 2021 WillyPillow <wp@nerde.pw> - 764a56a
- tests: add more tests re. install, remove, and get_keys_for_repos

* Sat Feb 20 2021 WillyPillow <wp@nerde.pw> - 60f5ba0
- qvm-template: test != 1 instead of == 0 for template-dummy feature

* Sat Feb 20 2021 WillyPillow <wp@nerde.pw> - 33d205c
- tests: fix tests for verify_rpm involving incorrect template names

* Sat Feb 20 2021 WillyPillow <wp@nerde.pw> - ed3e368
- tests: add tests for qvm-template remove

* Fri Feb 19 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e00f35b
- tests: some more for qvm-template

* Fri Feb 19 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f4e826e
- qvm-template: mute pylint complains about typing.NamedTuple

* Fri Feb 19 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2c1e792
- gitlab-ci: fix codecov call

* Fri Feb 19 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b86408a
- tests: qvm-template-postprocess - template.conf handling

* Fri Feb 19 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2c5572b
- qvm-template-postprocess: fix allowed features list

* Fri Feb 19 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c4efdf4
- qvm-template-postprocess: extract config handling into separate function

* Fri Feb 19 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bcf5957
- qvm-template-postprocess: treat missing appmenus files as warnings only

* Fri Feb 19 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e6360da
- qvm-template: default confirm to 'n'

* Thu Feb 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e424c7d
- qvm-template: verify template package signature directly at download

* Sun Feb 07 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ce36dc5
- qvm-template: improve error reporting

* Sun Feb 07 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8795668
- qvm-template-postprocess: do not generate appmenus twice

* Sun Feb 07 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b7446af
- qvm-template: use key specified in the repo definition if possible

* Sun Feb 07 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4f9757c
- qvm-template: by default list only latest available template

* Sun Feb 07 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 86326b5
- qvm-template: factor filter_version() out of get_dl_list()

* Sun Feb 07 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 10bea1b
- qvm-template: allow global arguments after action name

* Sun Feb 07 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e0063d8
- qvm-template: use QubesArgumentParser

* Sat Feb 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6980e7b
- Store template repo configuration in /etc

* Sat Feb 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ed6aff3
- qvm-template-preprocess: remove confusing message

* Sat Feb 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f053f51
- qvm-template: remove downloaded package after installation

* Sat Feb 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fe369ce
- qvm-template: cleanup install function

* Sat Feb 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f142481
- qvm-template: improve install lock

* Sat Feb 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - febf014
- qvm-template-postprocess: improve data validation

* Sat Feb 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b2e4d0e
- deb,rpm: depend on qubes-repo-templates

* Sat Feb 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9401249
- qvm-template: minor improvements

* Sat Feb 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8aede94
- qvm-template: add copyright header

* Sat Feb 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aeeb3da
- qvm-template: handle template extraction failure

* Sat Feb 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f3954fb
- qvm-template: download templates to a temporary directory

* Sat Feb 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f3f6750
- qvm-template: call rpmkeys --checksig for signature verification

* Sat Feb 06 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b500462
- qvm-template: use UpdateVM by default

* Tue Feb 02 2021 Rusty Bird <rustybird@net-c.com> - e78512b
- qvm-backup: dom0 dst relative to cwd of tool, not qubesd

* Tue Jan 05 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0f42fd0
- tests: restoring a backup bigger than available space in /var/tmp

* Tue Jan 05 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - af13c19
- tests: fix preparing multi-part disk volume

* Tue Jan 05 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9360865
- backup: throttle backup extracting if there is not enough disk space

* Tue Jan 05 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 10d4381
- backup: check if there is enough disk space available to restore

